## org.exist.memtree.test
Class DOMTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.memtree.test.DOMTest

All Implemented Interfaces:
  junit.framework.Test

public class DOMTest
extends junit.framework.TestCase

Author:
  wolf To change the template for this generated type comment go to Window - Preferences - Java - Code Generation - Code and Comments

Constructor Summary
`DOMTest(java.lang.String name)`

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `print(org.w3c.dom.Node node)`
`void` `testDocumentBuilder()`
`void` `testGetChildNodes1()`
`void` `testGetChildNodes2()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DOMTest

    public DOMTest(java.lang.String name)

Method Detail

### main

    public static void main(java.lang.String[] args)

### testDocumentBuilder

    public void testDocumentBuilder()

### testGetChildNodes1

    public void testGetChildNodes1()

### testGetChildNodes2

    public void testGetChildNodes2()

### print

    public void print(org.w3c.dom.Node node)

Copyright (C) Wolfgang Meier. All rights reserved.